org.eclipse.ease.ui.scripts.repository

## Interface IRepositoryService

    public interface IRepositoryService

Global service to register user scripts and to query for registered scripts. To get the service instance use

     final IRepositoryService repositoryService = (IRepositoryService) PlatformUI.getWorkbench().getService(IRepositoryService.class);

### Field Summary

Fields
`static java.lang.String` `BROKER_CHANNEL_SCRIPT_KEYWORDS` Channel to promote all keyword changes from user scripts.
`static java.lang.String` `BROKER_CHANNEL_SCRIPTS_BASE` Base channel for all script events.
`static java.lang.String` `BROKER_CHANNEL_SCRIPTS_NEW` Channel to promote new detected user scripts.
`static java.lang.String` `BROKER_CHANNEL_SCRIPTS_REMOVED` Channel to promote when user scripts are removed.
`static boolean` `TRACE_REPOSITORY_SERVICE` Trace enablement for the repository service.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addLocation(java.lang.String locationURI, boolean defaultLocation, boolean recursive)` Add a new script location to the repository.
`java.util.Collection<IScriptLocation>` `getLocations()` Get all script locations currently registered.
`IScript` `getScript(java.lang.String name)` Get a script by providing its full name.
`java.util.Collection<IScript>` `getScripts()` Get all scripts registered with this service
`void` `removeLocation(java.lang.String locationURI)` Remove a give location from the repository.
`void` `update(boolean force)` Trigger an immediate refresh of all script sources and contained scripts.
`void` `updateLocation(IScriptLocation location, java.lang.String scriptURI, long lastChanged)`

### Field Detail

#### BROKER_CHANNEL_SCRIPTS_BASE

    static final java.lang.String BROKER_CHANNEL_SCRIPTS_BASE

Base channel for all script events.

See Also:
  Constant Field Values

#### BROKER_CHANNEL_SCRIPTS_NEW

    static final java.lang.String BROKER_CHANNEL_SCRIPTS_NEW

Channel to promote new detected user scripts.

See Also:
  Constant Field Values

#### BROKER_CHANNEL_SCRIPTS_REMOVED

    static final java.lang.String BROKER_CHANNEL_SCRIPTS_REMOVED

Channel to promote when user scripts are removed.

See Also:
  Constant Field Values

#### BROKER_CHANNEL_SCRIPT_KEYWORDS

    static final java.lang.String BROKER_CHANNEL_SCRIPT_KEYWORDS

Channel to promote all keyword changes from user scripts.

See Also:
  Constant Field Values

#### TRACE_REPOSITORY_SERVICE

    static final boolean TRACE_REPOSITORY_SERVICE

Trace enablement for the repository service.

### Method Detail

#### update

    void update(boolean force)

Trigger an immediate refresh of all script sources and contained scripts.

#### updateLocation

    void updateLocation(IScriptLocation location,
                        java.lang.String scriptURI,
                        long lastChanged)

#### getScripts

    java.util.Collection<IScript> getScripts()

Get all scripts registered with this service

Returns:
  collection of scripts

#### getScript

    IScript getScript(java.lang.String name)

Get a script by providing its full name.

Parameters:
  `name` - full name of script (including path)
Returns:
  script instance

#### getLocations

    java.util.Collection<IScriptLocation> getLocations()

Get all script locations currently registered.

Returns:
  registered script locations

#### addLocation

    void addLocation(java.lang.String locationURI,
                     boolean defaultLocation,
                     boolean recursive)

Add a new script location to the repository. Takes care that the same location is not registered yet. If a location with the same URI is already registered, we update its flags (defaultLocation, recursive).

Parameters:
  `locationURI` - location URI to register
  `defaultLocation` - set to true to be the default location for scripts
  `recursive` - `true` to parse subfolders of location

#### removeLocation

    void removeLocation(java.lang.String locationURI)

Remove a give location from the repository. Removes the location and all scripts registered under that location.

Parameters:
  `locationURI` - location URI to unregister